Automette docs

Merge PDFs

POST
/api/v1/tools/merge_pdfs

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/tools/merge_pdfs" \  -H "Content-Type: application/json" \  -d '{    "data": null,    "files": [      {        "name": "invoice.pdf",        "url": "https://example.com/invoice.pdf"      },      {        "name": "terms.pdf",        "url": "https://example.com/terms.pdf"      }    ],    "name": "invoice_with_terms"  }'
{  "id": "string",  "self": "string",  "tool": "string",  "status": "pending",  "origin": "string",  "data": {},  "error": "string",  "code": "string",  "credits_used": 0,  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "result": {    "file": {      "name": "string",      "url": "http://example.com",      "content_base64": "string"    },    "pages": 0  }}